## SnapdMaintenance SnapdMaintenance — Snap maintenance information |

## Functions

SnapdMaintenanceKind | snapd_maintenance_get_kind ()
const gchar * | snapd_maintenance_get_message ()

## Properties

SnapdMaintenanceKind | kind | Read / Write / Construct Only
char * | message | Read / Write / Construct Only

## Types and Values

enum | SnapdMaintenanceKind
| SnapdMaintenance

## Object Hierarchy

        GEnum
        ╰── SnapdMaintenanceKind
        GObject
        ╰── SnapdMaintenance

## Includes

    #include <snapd-glib/snapd-glib.h>

## Description

A SnapdMaintenance contains maintenance information for the snapd daemon. The current maintenance information can be retrieved using `snapd_client_get_maintenance()`.

## Functions

### snapd_maintenance_get_kind ()

    SnapdMaintenanceKind
    snapd_maintenance_get_kind (SnapdMaintenance *maintenance);

Get the kind of maintenance kind, e.g. `SNAPD_MAINTENANCE_KIND_DAEMON_RESTART`.

#### Parameters

maintenance | a SnapdMaintenance. |

#### Returns

a SnapdMaintenanceKind.

Since: 1.45

### snapd_maintenance_get_message ()

    const gchar *
    snapd_maintenance_get_message (SnapdMaintenance *maintenance);

Get the user readable message associate with the maintenance state.

#### Parameters

maintenance | a SnapdMaintenance. |

#### Returns

message text.

Since: 1.45

## Types and Values

### enum SnapdMaintenanceKind

Type of snap.

#### Members

SNAPD_MAINTENANCE_KIND_UNKNOWN | an unknown maintenance kind is occurring. |
SNAPD_MAINTENANCE_KIND_DAEMON_RESTART | the daemon is restarting. |
SNAPD_MAINTENANCE_KIND_SYSTEM_RESTART | the system is restarting. |

Since: 1.45

### SnapdMaintenance

    typedef struct _SnapdMaintenance SnapdMaintenance;

SnapdMaintenance contains maintenance information.

Since: 1.45

## Property Details

### The `“kind”` property

      “kind”                     SnapdMaintenanceKind

Maintenance kind.

Owner: SnapdMaintenance

Flags: Read / Write / Construct Only

Default value: SNAPD_MAINTENANCE_KIND_UNKNOWN

### The `“message”` property

      “message”                  char *

User readable message.

Owner: SnapdMaintenance

Flags: Read / Write / Construct Only

Default value: NULL